﻿@model ARGNSMDFabric

@{
    string mTrId = "TR_Fabric" + Model.LineId;
    string mColor = "FabricColor" + Model.LineId;
    string mComposition = "Comp" + Model.LineId;
    string mIsNew = "Fabric_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mColor' class="form-control" value='@Model.U_ColCode' disabled="disabled" onchange="LineWasChanged('@Model.LineId','Fabric');" /></td>

        <td style="width:120px;"><button onclick="SearchColor('@mColor')" type="button" class="btn btn-primary btn-xs">@MaterialDetail.SC</button></td>
        <td><input id='@mComposition' class="form-control" value='@Model.U_CompCode' onchange="LineWasChanged('@Model.LineId','Fabric');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                DictRow.ListUFD1,
                                "FldValue",
                                "Descr", DictRow.Value), new { @Id = "LINEUDF_Fabric_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_Fabric_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','Fabric');" })
                        }
                        else
                        {
                            <input id='LINEUDF_Fabric_@DictRow.UDFName@Model.LineId' name="LINEUDF_Fabric_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','Fabric');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}